<template>
    <div class="ml-2 mr-2">
        <b-modal @close="beforeModalCloses" :scrollable="true"  @hidden="reset" :hide-footer="true" size="xl"  ref="inputModal" id="my-modal" :title="title"  :centered="true">
            <div class="card no-border" style="border: none;box-shadow: none;">
                            <!-- /.card-header -->
                            <div class="card-body  p-0">
                                <div class="row">
                                    <div class="col-md-3">
                                <div class="card card-primary card-outline card-outline-tabs" style=" margin-top: 10px;" v-if="hasImages">
                                    <div class="card-header p-0 border-bottom-0">
                                        <ul class="nav nav-tabs" id="custom-tabs-three-tab" role="tablist">
                                            <li class="nav-item">
                                                <a class="nav-link active" id="custom-tabs-three-home-tab" data-toggle="pill" href="#custom-tabs-three-home" role="tab" aria-controls="custom-tabs-three-home" aria-selected="true">Logo</a>
                                            </li>
                                        </ul>
                                    </div>
                                    <div class="card-body p-0">
                                        <div class="tab-content" id="custom-tabs-three-tabContent">
                                            <div class="tab-pane fade active show" id="custom-tabs-three-home" role="tabpanel" aria-labelledby="custom-tabs-three-home-tab">
                                                <div class="row">
                                                        <div class="col-md-12 col-sm-12">
                                                            <!-- Row profil-->
                                                                <div class="card shadow-none   ">
                                                                        <div class="card-body p-0 profile-image-previewx">
                                                                            <img v-if="entity.logo" :src="'/storage/featured/'+entity.logo" alt="preview de votre image de profil">
                                                                            <img v-else src="/img/industry-solid.png" alt="Aucune image de profil" width="250" class="img-fluid">
                                                                        </div>
                                                                </div>
                                                            <!-- /Row profil -->
                                                        </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- /.card -->
                                </div>
                                    </div>
                                    <div class="col-md-8">
                                        <div class="row">
                                              <div class="col md-6">
                                                      <div class="col-md-12 recap">
                                        <h6 class="preview-under-headline">Données Générales</h6>
                                        <table class="preview-table">
                                            <tr>
                                                <td>Nom commercial</td>
                                                <td>{{ form.nom_commercial}}</td>
                                            </tr>
                                            <tr>
                                                <td>Responsable</td>
                                                <td>{{ responsable ? responsable.fullName : ""}}</td>
                                            </tr>
                                            <tr>
                                                <td>form Juridique</td>
                                                <td>{{ form.forme_juridique}}</td>
                                            </tr>
                                            <tr>
                                                <td>Secteur d'activité</td>
                                                <td>{{ secteur_activite ? secteur_activite.libelle : ""}}</td>
                                            </tr>
                                            <tr>
                                                <td>Activité principale</td>
                                                <td>{{ form.activite_principale ?  form.activite_principale : "Non précisé"}}</td>
                                            </tr>
                                            <tr>
                                                <td>Autre activité</td>
                                                <td>{{ form.autre_activite ?  form.autre_activite : "Non précisé"}}</td>
                                            </tr>
                                            <tr>
                                                <td>Effectif</td>
                                                <td>{{ form.effectif}}</td>
                                            </tr>
                                        </table>
                                        <div class="separator separator-dashed my-2"></div>
                                    </div>
                                    <div class="col-md-12 recap">
                                        <h6 class="preview-under-headline">Adresse</h6>
                                        <table class="preview-table">
                                            <tr>
                                                <td>Nom de la rue</td>
                                                <td>{{ form.rue}} {{ form.nr}}</td>
                                            </tr>
                                            <tr>
                                                <td>N° de la rue</td>
                                                <td>{{ form.nr ? form.nr :""}}</td>
                                            </tr>
                                            <tr>
                                                <td>Boite postale</td>
                                                <td>{{ form.bp}}</td>
                                            </tr>
                                            <tr>
                                                <td>Quartier</td>
                                                <td>{{ form.quartier ? form.quartier : "Non précisé" }}</td>
                                            </tr>
                                            <tr>
                                                <td>Ville</td>
                                                <td>{{ form.ville}} , {{ pays ? pays.libelle : "Non précisé"}}</td>
                                            </tr> 
                                        </table>
                                        <div class="separator separator-dashed my-2"></div>
                                    </div>
                                              </div>
                                              <div class="col md-6">
                                    <div class="col-md-12 recap">
                                        <h6 class="preview-under-headline">Contact</h6>
                                        <table class="preview-table">
                                            <tr>
                                                <td> Téléphone 1<span></span></td>
                                                <td>{{ (form.phone1 && form.phone1!="")  ? form.phone1 : "Non précisé"  }}</td>
                                            </tr>
                                            <tr>
                                                <td>Téléphone 2<span></span></td>
                                                <td>{{ (form.phone2 && form.phone2!="")  ? form.phone2 : "Non précisé"  }}</td>
                                            </tr>
                                            <tr>
                                                <td><span>E-mail</span></td>
                                                <td>{{ (form.email && form.email!="")  ? form.email : "Non précisé"  }}</td>
                                            </tr>
                                            <tr>
                                                <td>Siteweb<span></span></td>
                                                <td>{{ (form.siteweb && form.siteweb!="")  ? form.siteweb : "Non précisé"  }}</td>
                                            </tr>
                                            <tr>
                                                <td>Facebook<span></span></td>
                                                <td>{{ (form.facebook && form.facebook!="")  ? form.facebook : "Non précisé"  }}</td>
                                            </tr>
                                            <tr>
                                                <td>Twitter<span></span></td>
                                                <td>{{ (form.linkedin && form.linkedin!="")  ? form.linkedin : "Non précisé"  }}</td>
                                            </tr>
                                                                    <tr>
                                                <td>Linkedin<span></span></td>
                                                <td>{{ (form.linkedin && form.linkedin!="")  ? form.linkedin : "Non précisé"  }}</td>
                                            </tr>
                                        </table>
                                    </div>
                                              </div>
                                        </div>
                                    </div>
                                </div>

                                <!-- Tabs -->

                                <!-- /.card-body -->
                            </div>
                            <!-- /.card-body -->
             </div>

        </b-modal>
    </div>
</template>

<script>
  import _  from 'lodash'

import {FormWizard,WizardButton,WizardStep, TabContent} from 'vue-form-wizard'
import 'vue-form-wizard/dist/vue-form-wizard.min.css'
import { mapGetters } from 'vuex'

//component code

   import Form from "./../../classes/Form"
    export default {
        data()
        {
            return{

                isLoading:false,
                justTosayNo:false,
                imageProfileIsLoading:false,
                imageGalleryIsLoading:false,
                FileIsLoading:false,
                filesAdded:[],
                modeEdit:false,
                modeles : [],
                entity:'',
                FileLimit:4,
                fileType:"",
                isMounted:false,
                oldImageUpdated:false,
                fileCounter:0,
                //VC-calendar
                mask:{

                    input: ['L', 'YYYY-MM-DD', 'YYYY/MM/DD'],
                    data: ['L', 'YYYY-MM-DD', 'YYYY/MM/DD'],
                },
                date_pmc:"",

                //multi-select
                marque:"",
                modele:"",
                motorisation:"",
                pays:"",
                permis:"",
                responsable:"",
                tvehicule:"",
                secteur_activite:"",
                forme_juridique:"",

                //Options selectionnées
                plaisirs : [],
                conforts : [],
                securites : [],

                searchingMember: false,

                opt:{
                    marques:[],
                    pays:[],
                    motorisations:[],
                    tvehicules:[],
                    optConfort:[],
                    optPlaisir:[],
                    optSecurite:[],
                    secteurs:[],
                    tpermis:[],
                    fjuridiques:["EI","SUARL/EURL","SARL","SAS","SASU","SA","SNC","SCS","GIE","Autre","SP","SCI"]
                },

                form : new Form(
                    {
                        //1
                        logo:"",
                        secteur_activite_id:"",
                        secteur_activite_principal: "",
                        effectif: "",
                        nom_commercial:"",
                        old_image:"",
                        forme_juridique: "",
                        autre_activite: "",
                        responsable_id:"",
                        
                        logoMustBeUpdated:false,

                        step:0,

                        //2 Adresse

                        nr: "",
                        rue: "",
                        ville: "",
                        bp: "",
                        pays_id: "",
                        quartier: "",

                        // 3 contact
                        phone1: "",
                        phone2: "",
                        email: "",
                        facebook: "",
                        twitter: "",
                        linkedin: "",


                        

                        //moteurs


                        //mesures physiques

                  }),

            }
        },
        computed:
         {
           ...mapGetters({memberAsParameter:'members/memberAsParameter',_formations:'params/_formations',_competences:"params/_competences",_pays:"params/_pays",_secteurs:'params/_secteurs',_promotions:"params/_promotions"}),
           membres: function()
            {
               return []
            },
           setTitle: function()
            {
               return this.title +=" : Areddd"
            },
            title ()
            {
            return  "Détail d'une entreprise"
            },
            ModalAction ()
            {
            return  this.modeEdit ? " Modifier"  : " Ajouter"
            },
            //Determine si le formulaire est à la derniere etape
            lastStep()
            {
              if(this.$refs.wizard) return this.$refs.wizard.isLastStep
              return   false
            },
            //Determine si le formulaire a des images
            hasImages()
            {
                   return true
            },
             logoMustBeUpdated()
            {
                var check = false

                if(!this.modeEdit)
                {
                 check = false
                console.log('STEP 1')
                }
                else if(isDefined(this.form.logo) && isDefined(this.form.old_image))
                {
                        if(this.form.logo != this.form.old_image)
                        {
                            check = true
                             console.log('STEP 2 1')
                        }
                        else
                        {
                            check = false
                            console.log('STEP 2 2')
                        }
                }
               else if(isDefined(this.form.logo) && !isDefined(this.form.old_image))
                {
                        if(this.entity.hasPhoto==false)
                        {
                            check = true
                            console.log('STEP 3 1')
                        }
                        else
                        {
                            console.log('STEP 3 2')
                            check = false
                        }
                        

                }
                else if(!isDefined(this.form.logo) && isDefined(this.form.old_image))
                {
                        if(this.entity.hasPhoto==true)
                        {
                            check = true
                            console.log('STEP 4 1')
                        }
                        else
                        {
                            console.log('STEP 4 2')
                            check = false
                        }
                        

                }
                else
                {
                  check = false
                  console.log('Console STEP 5')

                }
                this.form.logoMustBeUpdated = check

                return check;
            },
        },
        created()
        {
          // this.fetchOptions()
        },
        mounted()
         {

             //les options sont chargées
             this.isMounted = true;
            window.event.$on('see-enterprise-event',(e) => {
                  this.entity = e
                  this.initUpdate()
                  this.showModal()
                  
            })
            
              this.$on('initOption', e => {
                this.initForm()
            })

        },
        methods:
        {
            beforeModalCloses()
            {
                this.$refs.cropper.remove();
               log("ok")
            },
            clearAll () {
            this.selectedCountries = []
            },
            zoomIn()
            {
            this.$refs.cropper.zoomIn()
            },
            zoomOut()
            {
            this.$refs.cropper.zoomOut()
            },
            rotateLeft()
            {
            this.$refs.cropper.rotate(-1)
            },
            rotateRight()
            {
            this.$refs.cropper.rotate()
            },
            onInitialImageLoaded()
            {
             // this.form.old_image = this.$refs.cropper.generateDataUrl(this.fileType)
            },
            updateDraw()
            {
               //this.form.old_image = this.form.logo
               console.log('DRAW')
               var temp=this.$refs.cropper.generateDataUrl(this.fileType)
               this.form.logo =temp;
            },
            updateImage()
            {
                console.log('IMAGE')
               var temp=this.$refs.cropper.generateDataUrl(this.fileType)
               this.form.logo =temp;
            },
            onFileTypeMismatch (file) {
                alert('Type de fichier invalide. Please choose a jpeg or png file.')
            },
            onFileChosen (file)
            {
                this.fileType = file.type
            },

            onRemoveLogo()
            {
                this.form.logo = ""
            },
            onFileSizeExceed (file) {
                alert('File size exceeds. Please choose a file smaller than 100kb.')
            },
 
            datepickerEvent(event)
            {
                this.form.phone1 = moment(event).format('YYYY-MM-DD')
                this.updateFormErrors("phone1")
                //this.moreParams.filter_date_fin = moment(periode.end).format('YYYY-MM-DD')
                //Vue.nextTick( () => this.$refs.vuetable.refresh())
            },
            asyncFind(query)
            {
                this.searchingMember = true
                this.executeSync(query)
            },
            executeSync:_.debounce(function(query)
                {
                 // if(query=="") return
                  
                  this.searchingMember = true
                  this.$store.dispatch("members/memberAsParameter",query).then((response) =>
                {
                  this.searchingMember = false
                })
                },600)
               
                  //this.$store.dispatch("members/asParameters",query);
            ,
             fetchOptions()
             {
               axios.get("/api/dispatcher/options/entreprises").then((response) =>
                {
                      this.opt.marques = []
                      this.opt.motorisations = []
                      this.opt.tpermis = []
                      this.opt.tvehicules = []
                      this.opt.pays = response.data.pays
                      this.opt.secteurs = response.data.secteurs
                      this.$emit('option-fetch-event',response.data.secteurs)

                

                      //envoie un event pour signifier le chargement des options
                      this.$emit('initOption');
                      this.pageInit =true
                },
                (error) =>
                {
                  this.isLoading = false
                });
             },

             initForm()
            {

                    this.form.step="",

                    //General
                    this.form.logo="",
                    this.form.old_image="",
                    this.form.secteur_activite_principal= "",
                    this.form. images=[],
                    this.form.secteur_activite_id="",
                    this.form.responsable_id="",
                    this.form.modele_id="",
                    this.form.nom_commercial="",
                    this.form.forme_juridique= "",
                    this.form.autre_activite="",
                    this.form.effectif= "",
                    this.form.logoMustBeUpdated=false

                    //contact
                    this.form.phone1= "",
                    this.form.phone2= "",
                    this.form.linkedin= "",
                    this.form.twitter= "",
                    this.form.email= "",
                    this.form.facebook= "",

                

                    //Adresse
                    this.form.nr= "",
                    this.form.rue= "",
                    this.form.ville= "",
                    this.form.bp= "",
                    this.form.pays_id= "",
                    this.form.quartier= "",

                    this.pays = ""
                    this.responsable = ""
                    this.modele = ""
                    this.secteur_activite = ""
                    this.motorisation = ""
                    this.tvehicule = ""
                    this.entity=""

                    this.oldImageUpdated=false


            },
                        initUpdate()
            {

                    this.form.step="0"
                    this.form.id=this.entity.id
                    this.form.logoMustBeUpdated=false


                    //General
                    this.form.logo="",
                    this.form.secteur_activite_principal= this.entity.secteur_activite_principal
                    this.form.secteur_activite_id=this.entity.secteur_activite_id
                    this.form.modele_id=this.entity.modele_id
                    this.form.nom_commercial=this.entity.nom_commercial
                    this.form.forme_juridique= this.entity.forme_juridique
                    this.form.autre_activite=this.entity.autre_activite
                    this.form.effectif= this.entity.effectif
                     this.form.responsable_id=this.entity.responsable_id
                    //contact
                    this.form.phone1= this.entity.phone1
                    this.form.phone2= this.entity.phone2
                    this.form.siteweb= this.entity.siteweb
                    this.form.linkedin= this.entity.linkedin
                    this.form.twitter= this.entity.twitter
                    this.form.email= this.entity.email
                    this.form.facebook= this.entity.facebook

                

                    //Adresse
                    this.form.rue=this.entity.rue
                    this.form.nr= this.entity.nr
                    this.form.bp= this.entity.bp
                    this.form.ville= this.entity.ville
                    this.form.quartier = this.entity.quartier
                    this.form.pays_id = this.entity.pays_id



                    this.pays = this.entity.pays
                    this.responsable = this.entity.responsable ? this.entity.responsable : ""
                    this.secteur_activite= this.entity.secteur
                   

            },
            updateFormErrors(name)
            {
                if(this.form.errors.any()==true)
                {
                    //on retire l erreur
                    this.form.errors.clear(name)
                    //on verifie s il  n ya plus d erreurs
                    if(this.form.errors.any()==false)
                    {
                        this.$refs.wizard.tabs[this.form.step].validationError = null
                    }
                }

            },

          //ajout de la voiture par étape
          carStoreStep()
          {

                return new Promise((resolve, reject) => {
                    axios.post('/entreprises', this.form.data())
                        .then(response => {

                            resolve(true);
                        })
                        .catch(error => {
                            this.form.onFail(error.response.data);

                            reject(error.response.data);
                        });
                   });
          },
          onSubmit()
           {

                this.isLoading = true
                this.$store.dispatch(this.modeEdit ? "enterprises/updateEnterprise":"enterprises/addEnterprise",this.form).then((response) =>
                {

                    flash(!this.modeEdit ?"<span>Enregistré <strong>avec succès</strong></span>" : "<span>Modifié <strong>avec succès</strong></span>",'success')
                    this.isLoading = false
                    this.$refs['inputModal'].hide()
                },
                (error) => 
                     {
                      this.isLoading = false
                      flash("<span>Une erreur est survenu lors de l'opération</span>" ,'error')
                      console.log(error)
                      this.$refs['inputModal'].hide()
                    });
           },

            updateStep(prevIndex, nextIndex)
            {
                if(!this.form.errors.any())
                {

                  this.form.step = nextIndex
                  this.$forceUpdate()
                }
            },

            setLoading(value)
            {
               this.isLoading = value
            },
            addSecuriteOpt(option)
            {
              console.log(option)
            },
            //Charge l'image
            readURL(event)
            {
                this.imageProfileIsLoading = true
                  var input = event.srcElement;
                  if (input.files && input.files[0]) {
                var reader = new FileReader();
                  var vm = this
                reader.onload = function (e)
                {
                    $('.image-uploader-content img').attr('src', e.target.result);
                    vm.form.logo = e.target.result;
                    //console.log(e.target.result)
                    vm.imageProfileIsLoading = false
                };
                reader.readAsDataURL(input.files[0]);
            }},
            //Charge l'image
            onUploadDocument(name,event)
            {

                  var input = event.srcElement;
                  if (input.files && input.files[0])
                   {
                    var reader = new FileReader();
                    var vm = this
                    reader.onload = function (e)
                    {

                            vm.form[name].fichier = e.target.result;
                            vm.form[name].nom_fichier=input.files[0].name
                            vm.form[name].hasFile=true

                    };
                    reader.readAsDataURL(input.files[0]);
                   }
            },
             //Retire l'image des
            removeImage(index)
            {
               this.form.images.splice(index,1)

            },
            //Charge les images de la galerie
            readURLGalerie(event)
            {
                  var input = event.srcElement;
                  this.imageGalleryIsLoading = true
                  if (input.files && input.files[0])
                  {

                      var index = 0
                      var vm = this
                      this.fileCounter = input.files.length
                      this.imageGalleryIsLoading = true
                      for(index;index<input.files.length;index++)
                      {
                        var reader = new FileReader();
                        reader.onload = function (e)
                        {
                            //$('.image-uploader-content img').attr('src', e.target.result);
                            //vm.form.logo = e.target.result;
                            vm.form.images.push(e.target.result)
                            vm.fileCounter--

                        };
                        reader.readAsDataURL(input.files[index]);
                      }
                   }
            },
             registerFile(event)
            {
              this.form.images.push(event.dataURL)
              this.FileIsLoading = false
            },
            removedfileFromDropzone(file, error, xhr)
            {
                var oldSize = this.form.images.length
                this.form.images= this.form.images.filter(e => { return e !==file.dataURL })
                if(this.form.images.length != oldSize)
                {
                    this.FileLimit++
                }

            },
            fileAdded(event)
            {

                 
              var reader = new FileReader();
              var vm = this
              reader.onload = function (e)
              {
                    if(vm.FileLimit > 0)
                    {
                        vm.form.images.push(e.target.result)
                        vm.FileLimit--;
                    }
                    else
                    {
                        vm.$refs.dropzone.removeFile(event)
                    }
                   
            
              };
            
             reader.readAsDataURL(event);
             
       
              
            },
            maxFilesReached(file)
            {
              //console.log(file)
              //this.$refs.dropzone.removeFile(file)
            },
            onComplete()
            {

            },
            showModal()
             {

                this.$refs['inputModal'].show()
                this.$forceUpdate()
                console.log(this.logoMustBeUpdated)

             },
             showModalOnEdit(entity)
             {
                  this.modeEdit = true
                  this.form.nom_commercial = entity.nom_commercial
                  this.form.id=entity.id
                  this.$refs['inputModal'].show()
             },
              reset()
             {
                  if(this.modeEdit)
                  {
                      log(this.$refs.cropper)
                  }
                  this.initForm()
             },

             // Events
             trackSecteurActivite(e)
             {
                             log(this.$refs.cropper)

                 if(e!=null)
                 {
                   this.form.secteur_activite_id = e.id

                 }
                 else
                 {

                 }
                 this.updateFormErrors("secteur_activite_id");


             },
              trackModele(e)
             {
                 if(e!=null)
                 {
                   this.form.modele_id = e.id
                 }
                 else
                 {
                   this.form.modele_id =""
                 }
             },
             trackResponsable(e)
             {
                 if(e!=null)
                 {
                   this.form.responsable_id = e.id
                 }
                 else
                 {
                   this.form.responsable_id =""
                 }
             },
            trackTM(e)
             {
                 if(e!=null)
                 {
                   this.form.modele_id = e.id
                 }
                 else
                 {
                   this.form.modele_id =""
                 }
             },
              trackPays(e)
             {
                 if(e!=null)
                 {
                   this.form.pays_id = e.id
                 }
                 else
                 {
                    this.form.pays_id = ""
                 }
                 this.updateFormErrors("pays_id");
             },
             trackEffectif(e)
             {
                 if(e!=null)
                 {
                   this.form.pays_id = e.id
                 }
                 else
                 {
                    this.form.pays_id = ""
                 }
                 this.updateFormErrors("effectif");
             }
        },
        components:
         {
          FormWizard,
          TabContent,WizardButton,WizardStep,
         },
         watch:
         {
             "fileCounter":function(val)
             {
                 if(this.fileCounter==0 && this.imageGalleryIsLoading == true)
                 {
                     this.imageGalleryIsLoading = false
                 }
             },
            "OptionsIds":function(val)
             {
                 this.form.options = val
             },
             "form.secteur_activite_id" : function(value)
             {
                 if(value!="")
                 {
                  this.updateFormErrors("secteur_activite_id");
                 }

             },

             "form.modele_id" : function(value)
             {
                 if(value!="")
                 this.updateFormErrors("modele_id");
             },
            "form.email" : function(value)
             {
                 if(value!="")
                 this.updateFormErrors("email");
             }
             ,
             "form.logo" : function(value,old)
             {
                if(this.modeEdit)
                 {
                   console.log("LOGO has changed")
                   if(this.entity.hasPhoto && this.oldImageUpdated == false)
                   {
                       this.form.old_image = value
                       this.oldImageUpdated=true
                       console.log("LOGO OLD has changed")
                   }
                 }
             },
            "form.facebook" : function(value)
             {
                 if(value!="")
                 this.updateFormErrors("facebook");
             }
             ,
            "form.forme_juridique" : function(value)
             {
                 if(value!="")
                 this.updateFormErrors("forme_juridique");
             }
         }

    }
</script>
<style lang="scss">
.wizard-header,.wizard-progress-with-circle {
    display:none !important;
}
.dataTables_info select {
    width: auto;
    display: inline-block;

        height: calc(1.5em + 1rem + 2px);
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 1rem;
    font-size: 0.875rem;
    padding: 0.65rem 2rem 0.65rem 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    vertical-align: middle;
    background: #fff url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='4' height='5' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") no-repeat right 1rem center/8px 10px;
    border: 1px solid #e2e5ec;
    border-radius: 0.25rem;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

}
.vue-dropzone
{
    width: 100%;
    margin-top: 34px;
    min-height: 270px;
    position:relative;
    display: flex;
    -webkit-box-pack: center !important;
    justify-content: center !important;
    
}
.dz-message{
    width: 50%;
    margin: auto !important;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
}

.profile-image-preview {
    width: 300px !important;
}
.profile-image-preview img {
    width: inherit !important;
    height: inherit !important;
    -o-object-fit: contain !important;
    object-fit: contain !important;
}
.country .multiselect__option
{
    display: flex;
}
.country .multiselect__option img
{
    margin-right: 10px;
    color: rgba(0, 0, 0, 0) !important;

}
.recap h6
{
    font-weight: 600!important;
    margin-bottom: .75rem!important;
    font-size: 0.975rem;
}
.recap table tr td:first-child
{
    font-weight: 900;
}
.recap table tr td:last-child
{
   padding-left:10px;
   color:#80808f!important;
   line-height: 1.5;
     white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
    position: relative;
  display: inline-block;
      max-width: 160px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.responsable-input .multiselect__content .input li > span > span.remove-options
{
   display: none !important;
}
.profile-image-previewx {
    width: 250px !important;
    height: 250px !important;
}
.profile-image-previewx  img{
width: inherit;

}
#my-modal___BV_modal_body_
{
  padding-top: 10px !important;
  padding-bottom: 0 !important;
}
.vue-form-wizard .wizard-tab-content {
    min-height: 100px;
    padding: 10px 20px 10px;
}
</style>
